API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Compensation Records

Alle Operationen rund um Compensation Records.

Datenmodell

Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:

Entität Schema-ID Felder Sequenz Permissions
Compensation Record compensation_record 16 compensation_record_*

Endpoints

Methode Pfad Operation Beschreibung
POST /v1/compensation_records Create compensation_record Create a new compensation_record in the active tenant.
DELETE /v1/compensation_records/{id} Delete compensation_record Soft delete entity.
GET /v1/compensation_records/{id} Get compensation_record by id Fetch a single compensation_record.
GET /v1/compensation_records/{id}/linked Get linked entities CodeMeta OS API endpoint.
GET /v1/compensation_records/{id}/timeline Get timeline CodeMeta OS API endpoint.
GET /v1/compensation_records/{id}/transitions List transitions CodeMeta OS API endpoint.
GET /v1/compensation_records List compensation_records List compensation_records for the active tenant.
PATCH /v1/compensation_records/{id} Patch compensation_record JSON Merge Patch update.
POST /v1/compensation_records/bulk Bulk operation CodeMeta OS API endpoint.
POST /v1/compensation_records/{id}/transition POST /v1/compensation_records/{id}/transition CodeMeta OS API endpoint.
POST /v1/compensation_records/{id}/transitions/{transitionKey} Execute transition CodeMeta OS API endpoint.
PUT /v1/compensation_records/{id} Replace compensation_record Full replace with optimistic locking.

Suche